Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.io.streamsink.url
Class UrlSink

    java.lang.Object
      com.servingxml.io.streamsink.AbstractStreamSink
          com.servingxml.io.streamsink.url.UrlSink

All Implemented Interfaces:
  StreamSink

    public class UrlSink

extends AbstractStreamSink
implements StreamSink

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.io.streamsink.StreamSink
`StreamSink.NullOutputStream`

Field Summary

Fields inherited from interface com.servingxml.io.streamsink.StreamSink
`NULL, NULL_OUTPUT_STREAM`

Constructor Summary
`UrlSink(java.net.URL url)`
`UrlSink(java.net.URL url, java.nio.charset.Charset charset)`

Method Summary
`void` | `close()`
`java.nio.charset.Charset` | `getCharset()`
`java.nio.charset.Charset` | `getCharset(java.nio.charset.Charset defaultCharset)`
`java.util.Properties` | `getOutputProperties()`
`java.io.OutputStream` | `getOutputStream()`
`void` | `setOutputProperties(java.util.Properties outputProperties)`
`void` | `setOutputProperty(java.lang.String key, java.lang.String value)`

Methods inherited from class com.servingxml.io.streamsink.AbstractStreamSink
`getResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.io.streamsink.StreamSink
`getResult`

Constructor Detail

### UrlSink

    public UrlSink(java.net.URL url,
                   java.nio.charset.Charset charset)
            throws java.io.IOException

Throws:
  `java.io.IOException`

### UrlSink

    public UrlSink(java.net.URL url)
            throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Specified by:
    `getOutputStream` in interface `StreamSink`

### close

    public void close()

  Specified by:
    `close` in interface `StreamSink`

### setOutputProperties

    public void setOutputProperties(java.util.Properties outputProperties)

  Specified by:
    `setOutputProperties` in interface `StreamSink`

### setOutputProperty

    public void setOutputProperty(java.lang.String key,
                                  java.lang.String value)

  Specified by:
    `setOutputProperty` in interface `StreamSink`

### getOutputProperties

    public java.util.Properties getOutputProperties()

  Specified by:
    `getOutputProperties` in interface `StreamSink`

### getCharset

    public java.nio.charset.Charset getCharset()

  Specified by:
    `getCharset` in interface `StreamSink`

### getCharset

    public java.nio.charset.Charset getCharset(java.nio.charset.Charset defaultCharset)

  Specified by:
    `getCharset` in interface `StreamSink`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD